:note

middleman-syntaxでrougeがwarningだす

middleman-blog を bundle update したら rouge がwarningを出すようになった

% be middleman
== The Middleman is loading
/Users/milligramme/.rbenv/versions/2.0.0-p576/lib/ruby/gems/2.0.0/gems/rouge-1.9.1/lib/rouge/lexers/shell.rb:20: warning: already initialized constant Rouge::Lexers::Shell::KEYWORDS
/Users/milligramme/.rbenv/versions/2.0.0-p576/lib/ruby/gems/2.0.0/gems/rouge-1.9.1/lib/rouge/lexers/shell.rb:20: warning: previous definition of KEYWORDS was here
/Users/milligramme/.rbenv/versions/2.0.0-p576/lib/ruby/gems/2.0.0/gems/rouge-1.9.1/lib/rouge/lexers/shell.rb:25: warning: already initialized constant Rouge::Lexers::Shell::BUILTINS
/Users/milligramme/.rbenv/versions/2.0.0-p576/lib/ruby/gems/2.0.0/gems/rouge-1.9.1/lib/rouge/lexers/shell.rb:25: warning: previous definition of BUILTINS was here

middleman-syntax でrequireしてる

が原因っぽい。

 
comments powered by Disqus
back to top